=== debian/changelog ===
hyperscan (4.7.0-1) unstable; urgency=medium

  * Add lintian-override for package-name-doesnt-match-sonames
  * Add Russian translation by Lev Lamberov (Closes: #883142)
  * d/compat bump to version 10
  * d/control change upstream github url
  * d/control increase debhelper dependency version
  * d/control change alioth to salsa repo
  * d/control bump standards version to 4.1.3
  * d/rules use dh_missing
  * New upstream version 4.7.0

 -- Robert Haist <rhaist@mailbox.org>  Wed, 24 Jan 2018 11:34:53 +0100
