## hyperscan 5.0.0

=== debian/changelog ===
hyperscan (5.0.0-3~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Robert Haist <rhaist@mailbox.org>  Mon, 29 Oct 2018 21:37:50 +0100

hyperscan (5.0.0-3) unstable; urgency=medium

  * Add Conflicts/Replaces so that the misnamed libhyperscan4 is removed
    on upgrades (Closes: #904571)

 -- Hilko Bengen <bengen@debian.org>  Thu, 26 Jul 2018 12:21:35 +0200

hyperscan (5.0.0-2) unstable; urgency=medium

  * Rename libhyperscan4 to libhyperscan5 (Closes: #903675)

 -- Robert Haist <rhaist@mailbox.org>  Sat, 21 Jul 2018 18:36:16 +0200

hyperscan (5.0.0-1) unstable; urgency=medium

  [ Sascha Steinbiss ]
  * add autopkgtest

  [ Robert Haist ]
  * Bump debhelper to compat level 11
  * Bump standards version
  * d/rules fix lintian debian-rules-uses-unnecessary-dh-argument
  * d/rules fix lintian debian-rules-is-dh_make-template
  * New upstream version 5.0.0

 -- Robert Haist <rhaist@mailbox.org>  Tue, 10 Jul 2018 10:54:02 +0200

hyperscan (4.7.0-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Robert Haist <rhaist@mailbox.org>  Tue, 30 Jan 2018 11:32:34 +0100
