=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Priority: optional
 Maintainer: Robert Haist <rhaist@mailbox.org>
 Uploaders: Hilko Bengen <bengen@debian.org>
-Build-Depends: debhelper (>=10),
+Build-Depends: debhelper (>=11),
                cmake (>=2.8.11),
                ragel (>=6.9),
                libboost-dev (>=1.57),
@@ -10,7 +10,7 @@
                po-debconf,
                libsqlite3-dev,
                pkg-config
-Standards-Version: 4.1.3
+Standards-Version: 4.1.5
 Section: libs
 Homepage: https://01.org/hyperscan
 Vcs-Git: https://salsa.debian.org/debian/hyperscan.git
@@ -19,7 +19,7 @@
 Package: libhyperscan-dev
 Section: libdevel
 Architecture: i386 kfreebsd-i386 any-amd64
-Depends: libhyperscan4 (= ${binary:Version}), ${misc:Depends}
+Depends: libhyperscan5 (= ${binary:Version}), ${misc:Depends}
 Description: Development files for the Hyperscan library
  This package contains development libraries, header files and documentation for
  the regular expression matching library libhyperscan. You can either use the
@@ -27,10 +27,12 @@
  .
  libhyperscan only runs on processors with at least SSSE3 support.
 
-Package: libhyperscan4
+Package: libhyperscan5
 Architecture: i386 kfreebsd-i386 any-amd64
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Pre-Depends: debconf
+Conflicts: libhyperscan4 (>= 5)
+Replaces: libhyperscan4 (>= 5)
 Description: High-performance regular expression matching library
  Hyperscan is a high-performance multiple regex matching library.
  It follows the regular expression syntax of the commonly-used libpcre library,
@@ -40,4 +42,3 @@
  across streams of data. Hyperscan is typically used in a DPI library stack.
  .
  libhyperscan only runs on processors with at least SSSE3 support.
-
