=== debian/tests/control ===
Tests: build-lib
Depends: @, pkg-config, build-essential
