=== tools/hscheck/CMakeLists.txt ===
--- 
+++ 
@@ -5,6 +5,21 @@
 SET(hscheck_SOURCES
     main.cpp
 )
-add_executable(hscheck ${hscheck_SOURCES})
-target_link_libraries(hscheck hs expressionutil pthread)
 
+if (BUILD_CHIMERA)
+    include_directories(${PCRE_INCLUDE_DIRS})
+    add_definitions(-DHS_HYBRID)
+    add_executable(hscheck ${hscheck_SOURCES})
+    if(NOT WIN32)
+        target_link_libraries(hscheck hs chimera ${PCRE_LDFLAGS} expressionutil pthread)
+    else()
+        target_link_libraries(hscheck hs chimera pcre expressionutil)
+    endif()
+else()
+    add_executable(hscheck ${hscheck_SOURCES})
+    if(NOT WIN32)
+        target_link_libraries(hscheck hs expressionutil pthread)
+    else()
+        target_link_libraries(hscheck hs expressionutil)
+    endif()
+endif()
