=== tools/hsdump/CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,5 @@
 # dump support is required
 if (NOT DUMP_SUPPORT)
-    return()
-endif ()
-
-if (WIN32)
     return()
 endif ()
