=== debian/changelog ===
hyperscan (5.1.0-1) unstable; urgency=medium

  * New upstream version 5.1.0
  * Bump standards version
  * Remove duplicate example files
  * Add libpcap-dev build dependency for examples

 -- Robert Haist <rhaist@mailbox.org>  Thu, 31 Jan 2019 11:35:11 +0100
