=== debian/control ===
--- 
+++ 
@@ -2,15 +2,16 @@
 Priority: optional
 Maintainer: Robert Haist <rhaist@mailbox.org>
 Uploaders: Hilko Bengen <bengen@debian.org>
-Build-Depends: debhelper (>=11),
-               cmake (>=2.8.11),
-               ragel (>=6.9),
+Build-Depends: cmake (>=2.8.11),
+               debhelper (>=11),
                libboost-dev (>=1.57),
+               libpcap-dev,
+               libsqlite3-dev,
+               pkg-config,
+               po-debconf,
                python (>=2.7),
-               po-debconf,
-               libsqlite3-dev,
-               pkg-config
-Standards-Version: 4.1.5
+               ragel (>=6.9)
+Standards-Version: 4.3.0
 Section: libs
 Homepage: https://01.org/hyperscan
 Vcs-Git: https://salsa.debian.org/debian/hyperscan.git
@@ -18,7 +19,7 @@
 
 Package: libhyperscan-dev
 Section: libdevel
-Architecture: i386 kfreebsd-i386 any-amd64
+Architecture: any-amd64 i386 kfreebsd-i386
 Depends: libhyperscan5 (= ${binary:Version}), ${misc:Depends}
 Description: Development files for the Hyperscan library
  This package contains development libraries, header files and documentation for
@@ -28,8 +29,8 @@
  libhyperscan only runs on processors with at least SSSE3 support.
 
 Package: libhyperscan5
-Architecture: i386 kfreebsd-i386 any-amd64
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Architecture: any-amd64 i386 kfreebsd-i386
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Pre-Depends: debconf
 Conflicts: libhyperscan4 (>= 5)
 Replaces: libhyperscan4 (>= 5)
