=== debian/changelog ===
hyperscan (5.1.1-1) unstable; urgency=medium

  * [7912722] New upstream version 5.1.1

 -- Robert Haist <rhaist@mailbox.org>  Mon, 22 Apr 2019 13:38:32 +0200
