=== debian/control ===
--- 
+++ 
@@ -6,7 +6,6 @@
                debhelper (>=11),
                libboost-dev (>=1.57),
                libpcap-dev,
-               libsqlite3-dev,
                pkg-config,
                po-debconf,
                python (>=2.7),
