=== debian/changelog ===
hyperscan (5.2.0-2) unstable; urgency=medium

  * [a020a6d] Move to python3 (Closes: #936715)
  * [226de36] Bump debian standards version to 4.4.0
  * [35a20d1] Bump debhelper version to 12

 -- Robert Haist <rhaist@mailbox.org>  Fri, 06 Sep 2019 16:00:56 +0200

hyperscan (5.2.0-1) unstable; urgency=medium

  * [941c3fe] New upstream version 5.2.0

 -- Robert Haist <rhaist@mailbox.org>  Fri, 23 Aug 2019 15:15:24 +0200
