=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Maintainer: Robert Haist <rhaist@mailbox.org>
 Uploaders: Hilko Bengen <bengen@debian.org>
 Build-Depends: cmake (>=2.8.11),
-               debhelper (>=11),
+               debhelper (>=12),
                libboost-dev (>=1.57),
                libpcap-dev,
                pkg-config,
                po-debconf,
-               python (>=2.7),
+               python3,
                ragel (>=6.9)
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Section: libs
 Homepage: https://01.org/hyperscan
 Vcs-Git: https://salsa.debian.org/debian/hyperscan.git
