=== debian/changelog ===
hyperscan (5.2.1-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 19:15:59 +0100

hyperscan (5.2.1-1) unstable; urgency=medium

  * New upstream version 5.2.1
  * Bump debian standards version to 4.4.1
  * Add Rules-Requires-Root

 -- Robert Haist <rhaist@mailbox.org>  Fri, 01 Nov 2019 13:11:11 +0100
