=== debian/control ===
--- 
+++ 
@@ -10,8 +10,9 @@
                po-debconf,
                python3,
                ragel (>=6.9)
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Section: libs
+Rules-Requires-Root: no
 Homepage: https://01.org/hyperscan
 Vcs-Git: https://salsa.debian.org/debian/hyperscan.git
 Vcs-Browser: https://salsa.debian.org/debian/hyperscan
