=== debian/tests/control ===
Tests: build-lib
Depends: build-essential, pkg-config, @
