=== debian/changelog ===
hyperscan (5.3.0-1) unstable; urgency=medium

  * New upstream version 5.3.0
  * Move to debhelper-compat

 -- Robert Haist <rha@debian.org>  Wed, 10 Jun 2020 12:27:27 +0200
