=== debian/control ===
--- 
+++ 
@@ -1,16 +1,16 @@
 Source: hyperscan
 Priority: optional
-Maintainer: Robert Haist <rhaist@mailbox.org>
+Maintainer: Robert Haist <rha@debian.org>
 Uploaders: Hilko Bengen <bengen@debian.org>
 Build-Depends: cmake (>=2.8.11),
-               debhelper (>=12),
+               debhelper-compat (=12),
                libboost-dev (>=1.57),
                libpcap-dev,
                pkg-config,
                po-debconf,
                python3,
                ragel (>=6.9)
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Section: libs
 Rules-Requires-Root: no
 Homepage: https://01.org/hyperscan
