=== debian/changelog ===
hyperscan (5.4.0-2) unstable; urgency=medium

  * Add upstream patch for i386 builds

 -- Robert Haist <rha@debian.org>  Tue, 26 Jan 2021 09:35:39 +0100

hyperscan (5.4.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Robert Haist ]
  * New upstream version 5.4.0
  * d/control: bump standards version
  * Added small patch for a cmake regex bug aknowledged by upstream
  * Add AVX512VBMI support for the runtime

 -- Robert Haist <rha@debian.org>  Tue, 19 Jan 2021 16:54:50 +0100
