=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                po-debconf,
                python3,
                ragel (>=6.9)
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Section: libs
 Rules-Requires-Root: no
 Homepage: https://01.org/hyperscan
