=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,8 @@
 	dh_auto_configure -- \
 		-DBUILD_STATIC_AND_SHARED=1 \
 		-DCMAKE_BUILD_TYPE=RelWithDebInfo \
-		-DBUILD_AVX512=on
+		-DBUILD_AVX512=on \
+		-DBUILD_AVX512VBMI=on
 
 override_dh_missing:
 	dh_missing --fail-missing
